<?php
// +-----------------------------------------------------------------------+
// | akBookStyle  - a plugin for Piwigo                                    |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
// | Copyright(C) 2009      vdigital                                       |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
// | MA 02110-1301 USA                                                     |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

define('AK_PLUGIN_NAME', 'ak Book Style');
define('AK_PLUGIN_ROOT', dirname(__FILE__));
define('AK_PLUGIN_LANG', AK_PLUGIN_ROOT . '/');
define('AK_PLUGIN_TEMPLATE', AK_PLUGIN_ROOT . '/template');
define('AK_PLUGIN_BASE_URL', PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)));
define('AK_PLUGIN_CSS', AK_PLUGIN_BASE_URL . '/css');
define('AK_PLUGIN_JS', AK_PLUGIN_BASE_URL . '/js');
define('AK_PLUGIN_IMGS', AK_PLUGIN_BASE_URL . '/imgs');


include_once "include/akConfig.class.php";

load_language('plugin.lang', AK_PLUGIN_LANG);

$plugin_config = new akConfig(AK_PLUGIN_ROOT, AK_PLUGIN_NAME);
$plugin_config->load_config();

if (defined('IN_ADMIN')) { 
  add_event_handler('get_admin_plugin_menu_links', array($plugin_config, 'plugin_admin_menu')); 
} else {
  include_once AK_PLUGIN_ROOT . '/public.php';
}

set_plugin_data($plugin['id'], $plugin_config);
?>